<?php  

class StatsHelper { 

	static public function quickTrack( $data=array() ){  
		StatsHelper::loadParticleStats();  
		if( class_exists('ParticleTrafficTracker') ){ 
			ParticleTrafficTracker::quickTrack( $data );		
		}  
	}
	
	static public function loadParticleStats(){
		if( defined('ParticleTraffic_PATH') ) return true; 
		$statsPkg = Package::getByHandle('tony_stats'); 
		if(!is_object($statsPkg)) return; 
		$urlHelper = Loader::helper('concrete/urls'); 
		define('ParticleTraffic_PATH', $statsPkg->getPackagePath() . '/libraries/ParticleTraffic/');
		if( file_exists(ParticleTraffic_PATH.'/ParticleTraffic.config.php') ){
			define('ParticleTraffic_URL_DIR', $urlHelper->getPackageURL($statsPkg).'/libraries/ParticleTraffic/') ; 
			define('ParticleTraffic_SERVICES_URL', View::url('/tools/packages/tony_stats/services') );
			define('ParticleTraffic_BASE_URL', $urlHelper->getPackageURL($statsPkg).'/') ; 
			require_once(ParticleTraffic_PATH.'/ParticleTraffic.config.php'); 
			return true; 
		} 
		return false; 
	}

}

StatsHelper::loadParticleStats(); 

?>