
var ccmStatsTracker={  

	//this is one way to track browser interactions, between full page loads
    //although it would be better to call this from within the block itself
    //DEPRECATED: ccmStatsTracker.trackEvent('Event Name','Event URL');
    //USE THIS INSTEAD: 
    //$(document).trigger('statsEvent',{'title':'myEventName','url':canBeNullForCurrent,'eventVal':99});
    //$(document).trigger('statsPageView',{'title':'page name','url':'page view url'});
    
	integrate:function(){ 
	 
    	if( !jQuery || typeof(jQuery.Event)!='function' || this.loaded) return;  
        
        this.loaded=1; 
		
		$(window).unload(function(){ ccmStatsTracker.unload(); })
        
		//catch click events as they bubble up to the document root. 
    	this.addEvent(document, 'click', function(e){ 
            if(!e) e = window.event;
            var targ = (typeof(e.target)!= 'undefined') ? e.target : e.srcElement; 
            var jqObj=$(targ); 
            //is image slider  
            if( targ.nodeName.toLowerCase()=='img' && jqObj.parents('.ccm-imageSlider-wrapper').length ){ 
            	if(jqObj.parents('.ccm-imageSlider-nextBtnMovie').length){
                	ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Image Slider')) ?>',null,0,'<?php  echo addslashes(t('Next')) ?>');
                }else if(jqObj.parents('.ccm-imageSlider-prevBtnMovie').length){
                	ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Image Slider')) ?>',null,0, '<?php  echo addslashes(t('Previous')) ?>');
                }else if(jqObj.parents('.ccm-imageSlider-playBtnMovie').length){
                	ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Image Slider')) ?>',null,0, '<?php  echo addslashes(t('Play')) ?>');
                }else if(jqObj.parents('.ccm-imageSlider-pauseBtnMovie').length){
                	ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Image Slider')) ?>',null,0, '<?php  echo addslashes(t('Pause')) ?>');
                } 
            }else if( targ.nodeName.toLowerCase()=='a' && jqObj.attr('href')){
				var d=jqObj.attr('href').toLowerCase();
				if( d.indexOf("http")==0 && d.indexOf("<?php  echo BASE_URL?>")==-1 && d.indexOf("<?php  echo BASE_URL?>")==-1 && d.indexOf("#")!=0  ){
					ccmStatsTracker.trackEvent(  '<?php  echo addslashes(t('External Link')) ?> ',  jqObj.attr('href'), 0, jqObj.text() );
					return true; 	
				}
			} 
        }); 
        
        //bubble up method doesn't work with lightbox
        if( typeof($(document).lightBox)=='function'){ 
            $('a.ccmGalleryImage img').each(function(i,el){ 
                ccmStatsTracker.addEvent(el, 'click', function(e){
                    if(!e) e = window.event;
                    var targ = (typeof(e.target)!= 'undefined') ? e.target : e.srcElement; 
                    if(!targ || !targ.parentNode) return; 
                    var t=(targ.parentNode.title)?targ.parentNode.title:targ.parentNode.href;
                    ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Gallery Popup')) ?>',targ.parentNode.href,0,t);
                });
            }); 
            $('a.zoomImage img').each(function(i,el){
                ccmStatsTracker.addEvent(el, 'click', function(e){  
                    if(!e) e = window.event;
                    var targ = (typeof(e.target)!= 'undefined') ? e.target : e.srcElement;
                    if(!targ || !targ.parentNode) return;
                    ccmStatsTracker.trackEvent('<?php  echo addslashes(t('Zoom Image')) ?>',targ.src,0,targ.src);
                });
            }); 
        } 
        
       $(document).bind('statsEvent',function(e,data){ 
       		ccmStatsTracker.trackEvent(data.title,data.url,0,data.eventVal); 
		});
        
       $(document).bind('statsPageView',function(e,data){
       		ccmStatsTracker.trackEvent(data.title,data.url,1); 
		}); 
    },
	//this'll capture the user's flash version and screen resolution
	trackHit:function(){		
		var ws=this.getWindowSize(); 
		var q='mode=tracking_img';
		//q='b='+encodeURIComponent(Browser.Engine.name);
		//q+='&bv='+encodeURIComponent(Browser.Engine.version);  
		//q+='&p='+encodeURIComponent(Browser.Platform.name);
		q+='&fv='+this.majorFlashVersion();
		q+='&wx='+ws.x+'&wy='+ws.y;
		q+='&site='+<?php  echo intval($_REQUEST['siteIdNumber'])?>;  
		q+='&t='+encodeURIComponent(document.title);
		q+='&url='+this.cleanURL(window.location);
		q+='&ref='+encodeURIComponent(document.referrer);
		q+='&time='+parseInt(new Date().getTime().toString().substring(3));		
		var url='<?php  echo ParticleTraffic_SERVICES_URL?>?'+q; 
		if(!this.trackPgViewImg)
			 this.trackPgViewImg=this.getSpacerImg('ParticleTrafficUserAgent',url); 
		else this.trackPgViewImg.src=url;
	},	
	//call this to track events that occur between full page loads, like ajax or flash events
    //eventVal and pageView are optional
	trackEvent:function(eventName,eventUrl,pageView,eventVal){		
		if(!eventUrl) eventUrl=window.location;		
		var q='mode=track_event&site=<?php  echo intval($_REQUEST['siteIdNumber'])?>&title='+encodeURIComponent(eventName)+'&url='+this.cleanURL(eventUrl),
        	eo = pageView ? 0 : 1,
         	ev = eventVal ? eventVal : '';
        q+='&eo='+eo;
        q+='&ev='+encodeURIComponent(ev);
        q+='&_='+parseInt(new Date().getTime().toString().substring(3));	
		var requestUrl='<?php  echo ParticleTraffic_SERVICES_URL?>?'+q;
		if(!this.trackEventImg){
			this.trackEventImg=this.getSpacerImg('ParticleTrafficEventTracker',requestUrl); 
		}else{
			this.trackEventImg.src=requestUrl;
		}
	},	
    
    //some servers don't like seeing the :// in the url twice 
    cleanURL:function(url){
    	url=String(url);
        url=url.replace('://','colslashtemp');
        return encodeURIComponent(url);
    },
	
	unload:function(){ 	
		var q='mode=page_unload';
        q+='&_='+parseInt(new Date().getTime().toString().substring(3));	
		var requestUrl='<?php  echo ParticleTraffic_SERVICES_URL?>?'+q; 
		if(!this.trackEventImg){
			this.trackEventImg=this.getSpacerImg('ParticleTrafficEventTracker',requestUrl); 
		}else{
			this.trackEventImg.src=requestUrl;
		}
	},
	
	getSpacerImg:function(id,url){
		var trackImg=document.createElement('img');
		trackImg.id=id;
		trackImg.src=url;  
		trackImg.style.width='1px';
		trackImg.style.height='1px';
		trackImg.style.position='absolute';
		return trackImg;
	},	
	getWindowSize:function(){
		var e = window, a = 'inner';
		if(!('innerWidth' in e)){
			var t = document.documentElement
			e = t && t.clientWidth ? t : document.body 
			a = 'client';
		}
		return {x: e[a+'Width'],y: e[a+'Height']}
	}, 	
	<?php   include(ParticleTraffic_PATH.'js/ParticleTraffic.common_script.php');?>	
}
ccmStatsTracker.trackHit();
ccmStatsTracker.integrate();