<?php 

class PagesParticleTrafficPanel extends ParticleTrafficPanel {

	protected $title="Pages"; 
	
	
	public function view(){ 
	
		$defaultPagesDataSet=(in_array($_SESSION['statsPanel_pagesDataSet'],array('pages','events'))) ? $_SESSION['statsPanel_pagesDataSet'] : 'pages';  
		$defaultPagesView=(in_array($_SESSION['statsPanel_pagesData'],array('top','recent'))) ? $_SESSION['statsPanel_pagesData'] : 'top';  
		
		$statsDisplay = new ParticleTrafficDisplay();
		
		$params = array();
		if( $defaultPagesDataSet=='events' ) 
			$params['events']=1; 
		
		if( $defaultPagesView=='top' ) 
			$params['top']=1;  
		
		$statsDisplay->viewedPages = $statsDisplay->searchPages($params);
		
		$this->set('defaultPagesDataSet',$defaultPagesDataSet); 
		$this->set('defaultPagesView',$defaultPagesView); 
		$this->set('statsDisplay',$statsDisplay); 
	}


	public function action_search(){ 
	
		$statsDisplay = new ParticleTrafficDisplay();
		
		//$params=array('ip'=>trim($_REQUEST['ip']));
		
		$params['page']=intval($_REQUEST['page_search_pg']);
		
		$params['q']=$_REQUEST['q'];
		
		$params['top']=($_REQUEST['top'])?1:0; 
		
		$params['events']=($_REQUEST['events'])?1:0;
		
		$defaultPagesView = ($params['top']) ? 'top' : 'recent';  
		$defaultPagesDataSet = ($params['events']) ? 'events' : 'pages';  
		
		$statsDisplay->viewedPages = $statsDisplay->searchPages($params); 
		
		if($_REQUEST['excel']){  
		
		}else{
		
			$json = Loader::helper('json'); 
			$jsonData = array('success'=>0 ); 
	
			ob_start();
			//$this->render();
			include($this->getPath().'pages_table.php'); 
			$html = ob_get_contents();
			ob_end_clean();
	
			$jsonData['html'] = $html;
		
			echo $json->encode( $jsonData );  
			die;
		
		}
	}


}

?>