<script>
var StatsPageSearchPanel = { 

	init:function(){ 
		
		$('#statsPagesDataLinks a').click(function(){ 
			$(this).siblings().removeClass('selected');
			var tab = ($(this).attr('id')=='pagesDataTopLink') ? 'top' : 'recent';
			ParticleTraffic.saveTab('pagesData',tab);
			$(this).addClass('selected'); 
			StatsPageSearchPanel.search_pages();
			return false; 
		});  
		
		$('#statsPagesDataSet a').click(function(){ 
			$(this).siblings().removeClass('selected');
			var tab = ($(this).attr('id')=='pagesDataSetEvents') ? 'events' : 'pages';
			ParticleTraffic.saveTab('pagesDataSet',tab);
			$(this).addClass('selected'); 
			StatsPageSearchPanel.search_pages();
			return false; 
		});  
	},
	
	toggle_search:function(){
		var el = $('#visits_search_wrap'); 
		var f = el.find('form'); 
		if( el.hasClass('shown') ){
			f.slideUp();
			el.removeClass('shown'); 
		}else{
			f.slideDown();
			el.addClass('shown');
		}
		return false;
	},
	
	getPg:function(a,pg){ 
		
		this.search_pages(pg);
		
		return false;
	},
	
	search_pages:function(pg){
		
		jQuery.fn.dialog.showLoader();  
		
		var pg = (parseInt(pg))?parseInt(pg):1; 
		
		var top = ( $('#pagesDataTopLink').hasClass('selected') ) ? 1 : 0; 
		
		var events = ( $('#pagesDataSetEvents').hasClass('selected') ) ? 1 : 0; 
		
		var qEl = $('#statsPagesKeywords'),
			q = (qEl.val()!=qEl.attr('inlineLabel')) ? qEl.val() : '';
		
		$.ajax({ 
			type:'get',					  
			data: 'q='+q+'&top='+top+'&page_search_pg='+pg+'&events='+events,
			url: $('#pages_search_service').val(),
			success: function(response){ 
				eval('var jObj='+response);
				if( jObj && jObj.error ){ 
					alert(jObj.error);
				}else{    
					$('#stats_page_search_results_wrap').html(jObj.html);
				} 
				jQuery.fn.dialog.hideLoader(); 
			}
		}); 
	} 
	
} 
$(function(){ StatsPageSearchPanel.init(); })
</script>

<style>
#statsPagesSectionOptions { float:right; }
#statsPagesSearchForm { float:left; }  
</style>

<input id="pages_search_service" name="pages_search_service" type="hidden" value="<?php echo View::url($c->getCollectionPath(),'panel_service','pages','search') ?>" /> 

<div class="sectionOptionZone particleCSS altLinks" style="margin:0 0 8px 0;">
    <div id="statsPagesSectionOptions" class="sectionOptions" >  
    	<span id="statsPagesDataSet">
    		<a href="#" id="pagesDataSetPages" class="<?php echo ($defaultPagesDataSet!='events')?'selected':''?>" ><?php echo t('Pages')?></a>&nbsp; 
        	<a href="#" id="pagesDataSetEvents" class="<?php echo ($defaultPagesDataSet=='events')?'selected':''?>" ><?php echo t('Events')?></a> 
        </span>
        &nbsp;|&nbsp;
        <span id="statsPagesDataLinks">
        	<a href="#" id="pagesDataTopLink" class="<?php echo ($defaultPagesView=='top')?'selected':''?>" ><?php echo t('Top')?></a>&nbsp; 
        	<a href="#" id="pagesDataRecentLink" class="<?php echo ($defaultPagesView=='recent')?'selected':''?>" ><?php echo t('Recent')?></a> 
        </span>
    </div> 
    
    <form id="statsPagesSearchForm" onsubmit="StatsPageSearchPanel.search_pages(); return false;" action="<?php echo  View::url($c->getCollectionPath()) ?>"> 
		<input id="statsPagesKeywords" inlineLabel="<?php echo t('Search') ?>" name="q" type="text" value="" size="10" class="statsSearchField" />
        <input name="search" type="submit" value="&raquo;"  />
    </form>
    
    <div class="spacer"></div>
</div> 

 


<div id="stats_page_search_results_wrap"> 

    <?php  include($this->getPath().'pages_table.php'); ?> 

</div>
    