
<table id="discoveryDataTable" class="small dataGrid" width="100%">
    <tr class="keyCell">
        <td>
			<?php 
			if( $defaultDiscoveryView=='searches' ) 
				echo ($defaultDiscoveryDataSet=='top') ? t('Top Searches') : t('Recent Searches'); 
			else 
				echo ($defaultDiscoveryDataSet=='top') ? t('Top Referrers') : t('Recent Referrers'); 
			?> 
        </td> 
        <td class="countCol"><?php echo  ($defaultDiscoveryDataSet=='top') ? t('Visits') : t('When')?> </td> 
    </tr>
    <?php  
    if(!count($statsDisplay->referrers)){ ?>  
        <tr>
            <td colspan="2" class="faint"><?php echo t('None')?></td>
        </tr>
    <?php  
    }
    foreach($statsDisplay->referrers as $referrer){   ?>
        <tr>
            <td>
            	<?php 
                if( $defaultDiscoveryView=='searches' ){  
					echo ParticleTrafficTools::shortText($referrer['search_terms'],50); 
				}else{ ?>
            		<a href="<?php echo $referrer['referrer_url']?>"><?php echo ParticleTrafficTools::shortText(str_ireplace('http://','',$referrer['referrer_url']),50)?></a> 
                <?php  } ?> 
            </td> 
            <td class="countCol left">
				<?php  
				if( $defaultDiscoveryDataSet=='top' ) 
					echo intval($referrer['count']);  
				else 
					echo ParticleTrafficTools::timePast($referrer['created'])
				?>
            </td>
        </tr>
    <?php  } ?>
</table>
    
<?php  if($statsDisplay->referrersPagination && strlen($statsDisplay->referrersPagination->getPages())>0){ ?>	
	<div class="pagination">	
		 <span class="pageRight"><?php  echo $statsDisplay->referrersPagination->getNext(t('Next &raquo;'))?></span>
		 <span class="pageLeft"><?php  echo $statsDisplay->referrersPagination->getPrevious(t('&laquo; Previous'))?></span>
		 <?php  echo $statsDisplay->referrersPagination->getPages()?>				 
	</div>	
<?php  } ?>

<?php  if($defaultDiscoveryDataSet=='top' && count($statsDisplay->referrers) && ParticleTrafficDisplay::getOldestVisitTime()){ ?> 
	<div class="since">
    	<?php echo  $defaultDiscoveryView=='searches' ? t('Searches since') : t('Referrals since') ?> 
		<?php echo  t(date('F',ParticleTrafficDisplay::getOldestVisitTime())) . date(' j, Y',ParticleTrafficDisplay::getOldestVisitTime()) ?> 
    </div>
<?php  } ?> 
