<script>
var UserVisitsPanel = { 

	init:function(){
		
		$('#visit_search_start_date').datepicker();
		$('#visit_search_end_date').datepicker();
		
	},
	
	toggle_search:function(){
		var el = $('#visits_search_wrap'); 
		var f = el.find('form'); 
		if( el.hasClass('shown') ){
			f.slideUp();
			el.removeClass('shown'); 
		}else{
			f.slideDown();
			el.addClass('shown');
		}
		return false;
	},
	
	getPg:function(a,pg){ 
		
		this.search_visits(pg);
		
		return false;
	},
	
	search_visits:function(pg){
		
		jQuery.fn.dialog.showLoader();  
		
		var pg = (parseInt(pg))?parseInt(pg):1; 
		
		$.ajax({ 
			type:'get',					  
			data:$('#visits_search_wrap form').serialize()+'&visits_pg='+pg,
			url: $('#user_visits_search_service').val(),
			success: function(response){ 
				eval('var jObj='+response);
				if( jObj && jObj.error ){ 
					alert(jObj.error);
				}else{    
					$('#visit_results_wrap').html(jObj.html);
				} 
				jQuery.fn.dialog.hideLoader(); 
			}
		}); 
	},
	
	excelExport:function(){
		
		var url = $('#user_visits_search_service').val();
		if( url.indexOf('?')<0 ) url=url+'?'; 
		
		url = url + $('#visits_search_wrap form').serialize() + '&excel=1';
		
		$('#visits_excel_export').attr('href',url);
		
		window.location=url;
		
		return false; 
	}
	
} 
$(function(){ UserVisitsPanel.init(); })
</script>

<style>
#visits_search_wrap form table { width:auto; margin-bottom:2px !important; }
#visits_search_wrap label { float:none; width:30px; text-align:right; padding-right:4px; font-size:12px; display:inline-block; }
#visits_search_wrap form table { width:100%; }
#visits_search_wrap form td.col1 { min-width:160px; }
#visits_search_wrap td.col1 label { width:90px; }
#visits_search_wrap td input { width:50px; font-size:11px; padding:1px; }
#visits_search_wrap td input.searchSubmit { width:auto !important; margin-left:8px; float:right; padding:2px 4px; margin-top:6px; }
</style>

 
<div id="visitsDataWrap" class="visitsDataWrap">

	<div id="visits_search_wrap">

		<div id="visits_search_options">
		<a id="show_visits_search" onclick="return UserVisitsPanel.toggle_search();" href="#">
			<span class="show"><?php echo t('Show Search') ?></span><span class="hide"><?php echo t('Hide Search') ?></span>
		</a>
		&nbsp;|&nbsp; 
		<a id="visits_excel_export" onclick="return UserVisitsPanel.excelExport();" href="#"><?php echo t('Export') ?></a>
		</div>
		
		<input id="user_visits_search_service" name="user_visits_search_service" type="hidden" value="<?php echo View::url($c->getCollectionPath(),'panel_service','user_visits','search') ?>" />
		
		
		<form onsubmit="return false;" action="<?php echo  View::url($c->getCollectionPath()) ?>">
		
			<table>
				<tr>
				<td class="col1">
					<label><?php echo t('User Name:') ?></label>
					<input name="user_name" type="text" value="" />
				</td>
				<td>	
					<label><?php echo t('IP:') ?></label>
					<input name="ip" type="text" value="" />
				</td>
				</tr>
				<tr>
				<td class="col1">
					<label><?php echo t('Start Date/Time:') ?></label>
					<input id="visit_search_start_date" name="start_date" type="text" value="" />
				</td>
				<td>	
                	<input name="search" type="button" value="<?php echo t('Search') ?> &raquo;" onclick="UserVisitsPanel.search_visits();" class="searchSubmit" /> 
					<label><?php echo t('End:') ?></label>
					<input id="visit_search_end_date" name="end_date" type="text" value="" /> 
                    
				</td>
				</tr>					
			</table> 
			
		</form>
	
	</div>
	
	<div class="spacer"></div>
	
	<div id="visit_results_wrap">
	
		<?php  include($this->getPath().'visits_table.php'); ?>
	
	</div>
</div>