<table class="small dataGrid" width="100%">
	<tr class="keyCell">
		<td><?php echo t('User IP &amp; Host')?> <span class="faint">/ <?php echo t('Pages &amp; Events')?></span> </td> 
		<td class="countCol"><?php echo t('When')?> <span class="faint">/ <?php echo t('Durations')?></span> </td>
	</tr>
	<?php  
	if( !count($statsDisplay->visitPaths) ){ ?>  
		<tr>
			<td colspan="3" class="faint"><?php echo t('None')?></td>
		</tr>
	<?php  
	}			
	$visitPathRowNum=0;
	if( is_array($statsDisplay->visitPaths) ) foreach($statsDisplay->visitPaths as $name=>$data){  
		$visitPathRowNum++;
		$hitCount=count($data['hitData']);  
		$eventHitCount=$data['eventHits'];  
		$siteAddress='/';
		$visitingUser = NULL;
		$visitingUserInfo = NULL;
		?>
		<tr>
			<td>
				<div class="visitPathName" onclick="ParticleTraffic.showPathDetails(<?php echo $visitPathRowNum?>,this); return false;"> 
					<div class="arrow arrowRight"></div>								
					
					<?php   if( intval($data['users_id']) ){ 
						//$visitingUser = ParticleTrafficDisplay::getCachedUser($data['users_id']);
						$visitingUserInfo = ParticleTrafficDisplay::getCachedUserInfo($data['users_id']); 
						
						if( is_object($visitingUserInfo) && $visitingUserInfo->getUserID() ){ ?>
							<a href="<?php echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php echo $visitingUserInfo->getUserName();  ?></a>
					<?php   } 
					} ?>
					
					<?php echo $data['ip'] ?>  
					
					<?php  if(strlen($data['host_name']) && $data['host_name']!=$data['ip']){ ?>
						<span class="faint note"> <?php echo $data['host_name']?></span>
					<?php  } ?> 
					<span class="faint note">
						<?php echo $hitCount-$eventHitCount ?> 
						<?php  if($eventHitCount){ ?><span class="eventHitCount"> / <?php echo $eventHitCount ?></span><?php  } ?>
                    </span>
				</div> 
				
				<div id="visitPathDetails<?php echo $visitPathRowNum?>" class="visitPathDetails none note">  
					<?php  
					$countryData = ParticleTrafficDisplay::getCountryDataFromIP( $data['ip'] );
					//var_dump( $countryData );
					if( count($countryData) && strlen($countryData['iso_code_2']) ){ 
					   $userExtraDataPrinted=1;
						$countryName = t($countryData['country']);
						?>
						<span class="flagWrap">
							<img src="<?php echo ParticleTraffic_BASE_URL ?>/images/flags/<?php echo strtolower($countryData['code']) ?>.png" width="16" height="11" alt="<?php echo $countryName.' '.t('Flag') ?>" title="<?php echo $countryName ?>" /> 
						</span>
					<?php  } ?>	
					
					<?php 
					$browserFound=0;
					if( strlen($data['browser']) && strtolower($data['browser'])!='unrecognized' ) $browserFound=1;
					
					$platformFound=0;
					if(strlen($data['platform']) && strtolower($data['platform'])!='unrecognized') $platformFound=1;
					
					if( $data['returning_visit_count']>1 || (is_object($visitingUserInfo) && intval($visitingUserInfo->getNumLogins())) ){  
						$userExtraDataPrinted=1;
						?>
						<span class="faint">
							<?php 
							if( is_object($visitingUserInfo) && intval($visitingUserInfo->getNumLogins())>$data['returning_visit_count'] )
								 echo $visitingUserInfo->getNumLogins().' '.t('Logins');
							elseif($data['returning_visit_count']>10) 
								 echo $data['returning_visit_count'].' '.t('Visits');
							else echo $data['returning_visit_count'].t(ParticleTrafficTools::ordinal($data['returning_visit_count'])).' '.t('Visit'); 
							if($browserFound || $platformFound) echo ', '; 
							?>  
						</span>
					<?php  } ?> 
				
					<?php  
					$userExtraDataPrinted=0; 
					if( $browserFound ){  
						$userExtraDataPrinted=1;
						?>
						<span class="faint">
							<?php echo ParticleTrafficDisplay::cleanBrowserName($data['browser'])?> <?php echo intval($data['browser_version'])?>.0
						</span>
					<?php  } ?>
					
					<?php  if( $platformFound ){ 
						$userExtraDataPrinted=1; ?>
						<span class="faint">
							<?php echo ($browserFound)?' / ':''?>
							<?php echo ucwords($data['platform'])?>
						</span>
					<?php  } ?>	
					
					<?php 
					$referrerDataPrinted=0;
					if( strlen($data['referrer_url']) ){ 
						$referrerDataPrinted=1; ?>
						<div class="faint"> 
							<?php echo t('From:')?> <a href="<?php echo $data['referrer_url']?>" class="noUL"><span class="faint"><?php echo ParticleTrafficTools::shortText(str_ireplace(array('http://','https://','www.'),'',$data['referrer_url']),50)?></span></a>
						</div>
					<?php  } ?>																		
					
					<div class="hits ">
						<?php  if( $hitCount ) foreach($data['hitData'] as $hit){ 
							
							?>
							<div class="hit faint <?php echo  ($hit['event_only']) ? 'eventOnly': '' ?> ">
							<a href="<?php echo ParticleTrafficTools::formatPageURL($hit['page_url']) ?>"><?php echo ParticleTrafficTools::formatPageName($hit['page_title'],$hit['page_url']) ?></a>&nbsp;	
                       		<?php echo  ($hit['event_only']) ? $hit['event_value']: '' ?>
							</div>
						<?php  } ?>
					</div>
				</div>
			</td> 			
			<td class="countCol">
				<?php echo ParticleTrafficTools::timePast($data['created']) ?>
				<div id="visitPathStats<?php echo $visitPathRowNum?>" class="visitPathStats note none"> 
					<?php  if($userCountryDataPrinted){ ?>
						&nbsp;<br />
					<?php  } ?>
					<?php  if($userExtraDataPrinted){ ?>
						&nbsp;<br />
					<?php  } ?>
					<?php  if($referrerDataPrinted){ ?>
						&nbsp;<br />
					<?php  } ?> 
											
					<?php 
					$lastHitTime=0;
					if( $hitCount ) foreach($data['hitData'] as $hit){ 
					
						if($hit['event_only']){ ?>
							<div class="hitStat faint">--</div>
						<?php  
							continue;
						} ?>
                        
						<div class="hitStat faint">
							<?php 
							if($lastHitTime==0){
								//echo ($hit['created']>(date('U')-ParticleTrafficTracker::$visitTimeout)) ? t('Viewing'):t('Timed Out');
								if( intval($data['last_page_unloaded']) && $data['last_page_unloaded']>=($hit['created']+1) ) 
									echo ParticleTrafficTools::timeLengthLabel( $data['last_page_unloaded']-$hit['created'] );
								elseif ($hit['created']<(date('U')-ParticleTrafficTracker::$visitTimeout)) 
									echo t('Timed Out'); 
								else echo t('Viewing'); 
							}else{
								echo ParticleTrafficTools::timeLengthLabel($lastHitTime-$hit['created']);
							}									
							?>
						</div>
						<?php  
						$lastHitTime=$hit['created'];
					} ?>
				</div>						
			</td>
		</tr> 
	<?php  } ?>
</table>


<?php  if($statsDisplay->visitsPagination && strlen($statsDisplay->visitsPagination->getPages())>0){ ?>	
	<div class="pagination">	
		 <span class="pageRight"><?php  echo $statsDisplay->visitsPagination->getNext(t('Next &raquo;'))?></span>
		 <span class="pageLeft"><?php  echo $statsDisplay->visitsPagination->getPrevious(t('&laquo; Previous'))?></span>
		 <?php  echo $statsDisplay->visitsPagination->getPages()?>				 
	</div>	
<?php  } ?>	