

<div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px; margin-bottom:8px;">
	<div id="userAgentDataLinks" class="sectionOptions" style="text-align:right; width:100%; ">  
		<a href="#" id="userAgentDataBrowsersLink" <?php echo ($defaultUserAgentView=='browsers')?'class="selected"':'' ?> onclick="ParticleTraffic.usrAgentView('Browsers',this); return false;"><?php echo t('Browsers')?></a>&nbsp; 
		
		<?php  if($statsDisplay->screenData && count($statsDisplay->screenData)){ ?>
			<a href="#" id="userAgentDataScreensLink" <?php echo ($defaultUserAgentView=='screens')?'class="selected"':'' ?> onclick="ParticleTraffic.usrAgentView('Screens',this); return false;"><?php echo t('Screens')?></a>&nbsp;
		<?php  } ?>
		
		<a href="#" id="userAgentDataPlatformsLink" <?php echo ($defaultUserAgentView=='platforms')?'class="selected"':'' ?> onclick="ParticleTraffic.usrAgentView('Platforms',this); return false;"><?php echo t('Platforms')?></a>&nbsp; 
		
		<?php  if($statsDisplay->flashData && count($statsDisplay->flashData)){ ?>
			<a href="#" id="userAgentDataFlashLink" <?php echo ($defaultUserAgentView=='flash')?'class="selected"':'' ?> onclick="ParticleTraffic.usrAgentView('Flash',this); return false;"><?php echo t('Flash')?></a>
		<?php  } ?>
	</div> 
	
	<div class="spacer"></div>
</div>

	
<div id="userAgentDataBrowsersWrap" class="userAgentDataWrap <?php echo ($defaultUserAgentView!='browsers')?'none':''?>">
	<table class="small dataGrid" width="100%">
		<tr class="keyCell">
			<td colspan="2"><?php echo t('Browsers')?> </td> 
		</tr>
		<?php 
		$faintCutoff=1;
		$browserRowNum=0;
		foreach($statsDisplay->browserData as $family=>$data){ 
			if( !intval($data['usage']) ) continue; 
			$browserUsage=1*round($data['usage']*1);
			$browserRowNum++;
			?>
			<tr>
				<td>
					<div class="browserName" onclick="ParticleTraffic.browserVersions(<?php echo $browserRowNum?>,this)">
						<div class="arrow arrowRight"></div>
						<div class="floatL"><?php echo ParticleTrafficDisplay::cleanBrowserName($data['browser'])?></div>
						<div class="spacer">&nbsp;</div>
					</div> 
					<div id="versionsNumbersWrap<?php echo $browserRowNum?>" class="faint versions note none">
						<?php  foreach($data['versions'] as $versionNumber=>$versionData){ ?>
							<div><?php echo intval($versionNumber)?>.0&nbsp;</div> 
						<?php  } ?>
					</div>
				</td>
				<td class="countCol"> 
					<?php echo (floatval($browserUsage)<$faintCutoff) ? '<'.$faintCutoff : floatval($browserUsage) ?>%
					<div id="versionsUsageWrap<?php echo $browserRowNum?>" class="faint versions note none">
						<?php  if(is_array($data['versions'])) foreach($data['versions'] as $versionNumber=>$versionData){ 
							$versionUsage=$data['usage']*($versionData['usage']/100);
							$versionUsage=1*round($versionUsage*1);
							?> 
							<div><?php echo (floatval($versionUsage)<$faintCutoff) ? '<'.$faintCutoff : floatval($versionUsage) ?>% </div>
						<?php  } ?>
					</div>					
				</td>
			</tr>
		<?php  } ?>
	</table> 
</div>
	
<div id="userAgentDataPlatformsWrap" class="userAgentDataWrap <?php echo ($defaultUserAgentView!='platforms')?'none':''?>">
	<table class="small dataGrid" width="100%">
		<tr class="keyCell">
			<td colspan="2"><?php echo t('Operating Systems')?></td> 
		</tr>
		<?php   
		$faintCutoff=1;
		foreach($statsDisplay->platformData as $name=>$data){
			if( !intval($data['usage']) ) continue; 
			$plat = $data['platform']; 
			?>
			<tr>
				<td><?php echo ( $plat=='windows' || $plat=='mac' || $plat=='linux' ) ? ucwords($plat) : $plat ?></td>
				<td class="countCol">
					<?php echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
				</td>
			</tr>
		<?php  } ?>
	</table>
</div>
	
	
<div id="userAgentDataScreensWrap" class="userAgentDataWrap <?php echo ($defaultUserAgentView!='screens')?'none':''?>">
	<table class="small dataGrid" width="100%">
		<tr class="keyCell">
			<td colspan="2"><?php echo t('Screen Resolutions')?></td> 
		</tr>
		<?php 
		$faintCutoff=1;  
		if(!$statsDisplay->screenData || !count($statsDisplay->screenData)){ ?>
			<tr class="faint">
				<td colspan="2"><?php echo t('None')?></td> 
			</tr>
		<?php  }else foreach($statsDisplay->screenData as $size=>$data){ 
			if( !intval($data['usage']) ) continue; 
			?>
			<tr>
				<td class="<?php echo (intval($data['usage'])<$faintCutoff)?'faint':''?>">
					<?php echo $data['resolution']?>
				</td>
				<td class="<?php echo (intval($data['usage'])<$faintCutoff)?'faint':''?> countCol">
					<?php echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
				</td>
			</tr>
		<?php  } ?>
	</table>
</div>

<div id="userAgentDataFlashWrap" class="userAgentDataWrap <?php echo ($defaultUserAgentView!='flash')?'none':''?>">
	<table class="small dataGrid" width="100%">
		<tr class="keyCell">
			<td colspan="2"><?php echo t('Flash Versions')?></td> 
		</tr>
		<?php 
		$faintCutoff=1;  
		if(!$statsDisplay->flashData || !count($statsDisplay->flashData)){ ?>
			<tr class="faint">
				<td colspan="2"><?php echo t('None')?></td> 
			</tr>
		<?php  }else foreach($statsDisplay->flashData as $version=>$data){ 
			if( !intval($data['usage']) ) continue;
			?>
			<tr>
				<td class="<?php echo (intval($data['usage'])<$faintCutoff)?'faint':''?>">
					<?php echo (intval($data['version'])!=0)?$data['version']:'None' ?>
				</td>
				<td class="<?php echo (intval($data['usage'])<$faintCutoff)?'faint':''?> countCol">
					<?php echo (intval($data['usage'])<$faintCutoff) ? '<'.$faintCutoff : intval($data['usage']) ?>% 
				</td>
			</tr>
		<?php  } ?>
	</table>
</div>	