<?php 
if(!defined('ParticleTraffic_PATH')) die;

global $c;

$dashboardHelper = Loader::helper('concrete/dashboard'); 
?>

<input id="save_panel_position_url" name="save_panel_position_url" type="hidden" value="<?php echo View::url( $c->getCollectionPath(), 'save_panel_position' ) ?>" />

<?php  if( method_exists( $dashboardHelper, 'getDashboardPaneHeaderWrapper') ){  
echo $dashboardHelper->getDashboardPaneHeaderWrapper(t('Traffic &amp; Statistics'),t("Monitor your sites traffic, users statistics, and paths")); 
}else{ ?> 
	<h1><span><?php echo t('Traffic &amp; Statistics')?></span></h1> 
	<div class="ccm-dashboard-inner" > 
<?php  } ?> 
    
    <div class="ParticleTraffic"> 
	
    <table id="statsColumns" style="width:100%;" cellspacing="0" cellpadding="0"><tr><td valign="top" style="width:49%; ">
        
		<div id="statsPanelsColA" class="statPanelCol">
		
		<?php  foreach( ParticleTrafficPanel::getPanels('A',1) as $panel  ){ 
			$closed = intval($_SESSION['statsPanel_closed_'.$panel->getPanelID()])?1:0;  
			?> 
			<div id="statsPanel_<?php echo $panel->getPanelID() ?>" class="statsPanel <?php echo ($closed)?'closed':''?>"> 
				<h3><div class="togglePanelArrow"></div><span><?php echo $panel->getTitle() ?></span></h3> 
				<div class="ccm-dashboard-stats-inner"><div class="statsPanelInner" <?php echo ($closed)?'style="display:none"':''?>>
					<?php  $panel->render(); ?>
				</div></div> 
			</div>	
		<?php  } ?>
        
         <div class="statsPanel"></div> 

		</div>

	</td><td width="2%">&nbsp;</td><td valign="top">
	
		<div id="statsPanelsColB" class="statPanelCol">
	
		<?php  foreach( ParticleTrafficPanel::getPanels('B',1) as $panel  ){ 
			$closed = intval($_SESSION['statsPanel_closed_'.$panel->getPanelID()])?1:0;   
			?>
			<div id="statsPanel_<?php echo $panel->getPanelID() ?>" class="statsPanel <?php echo ($closed)?'closed':''?>"> 
				<h3><div class="togglePanelArrow"></div><span><?php echo $panel->getTitle() ?></span></h3> 
				<div class="ccm-dashboard-stats-inner"><div class="statsPanelInner" <?php echo ($closed)?'style="display:none"':''?>>
					<?php  $panel->render(); ?>
				</div></div> 
			</div>	
		<?php  } ?>
        
        <div class="statsPanel"></div>
		
		</div> <!-- stats panels -->
		

	
	</td></tr></table> 
    
    <div id="ParticleTrafficCredits">
        <a href="http://concrete5packages.com"><?php echo t('Tony Trupp / Inner Optics LLC. &copy; 2009+') ?></a> 
    </div>

    <div id="ParticleTrafficExcelExport">
        <a href="<?php echo View::url( $c->getCollectionPath(), 'Export' ) ?>"><?php echo t('Excel Export') ?> &raquo;</a>
    </div>    

	</div>

<?php  if( method_exists( $dashboardHelper, 'getDashboardPaneFooterWrapper') ){ 
	echo $dashboardHelper->getDashboardPaneFooterWrapper(); 
}else{ ?>  
	</div> 
<?php  } ?> 

<script type="text/javascript">
statsDefaultTimeFrame='<?php echo $defaultTimeframe?>';
statsDefaultDisplayMode='<?php echo $defaultVisitDisplayMode?>';
</script>