
<div id="pagesDataRecentWrap" class="pagesDataWrap ">
    <table class="small dataGrid" width="100%">
        <tr class="keyCell">
        	<?php  if( $defaultPagesView!='top' ){ ?> 
                <td><?php echo ($defaultPagesDataSet=='events') ?  t('Recent Events') : t('Recently Viewed Pages') ?> </td> 
                <td class="countCol"><?php echo t('When')?> </td>
            <?php  }else{ ?> 
                <td><?php echo ($defaultPagesDataSet=='events') ? t('Most Popular Events') : t('Most Popular Pages') ?> </td> 
                <td class="countCol"><?php echo t('Views')?></td>
			<?php  } ?> 
        </tr>
        <?php  
        if(!count($statsDisplay->viewedPages)){ ?>  
            <tr>
                <td colspan="2" class="faint"><?php echo t('None')?></td>
            </tr>
        <?php  
        }		
        foreach($statsDisplay->viewedPages as $name=>$data){ ?>
            <tr>
                <td>
            
                    <div>
                        <a href="<?php echo ParticleTrafficTools::formatPageURL($data['page_url']) ?>">
                            <?php echo ParticleTrafficTools::formatPageName($data['page_title'],$data['page_url']) ?>
                        </a>
                        
                        <?php echo ($defaultPagesDataSet=='events') ? $data['event_value'] : '' ?> 
                    </div>  
                    
                    <?php  if( $defaultPagesView!='top' ){ ?> 
                        <div class="ccm-note">
                        <?php  if( intval($data['users_id']) ){ 
                            $visitingUser = ParticleTrafficDisplay::getCachedUser($data['users_id']);
                            if( is_object($visitingUser) ){ ?>
                            <?php echo t('by') ?> <a href="<?php echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php echo $visitingUser->getUserName();  ?></a>
                        <?php   } 
                        } ?>
                        
                        <span class="detail faint note"><?php echo $data['ip']?></span>  
                        
                        <?php  if(strlen($data['host_name']) && $data['host_name']!=$data['ip']){ ?>
                            <span class="faint note"> <?php echo $data['host_name']?></span>
                        <?php  } ?>
                        </div>
                    <?php  } ?>
                                      
                </td>
                <td class="countCol"> 
                    <?php 
                    if( $defaultPagesView!='top' ) 
						echo ParticleTrafficTools::timePast($data['hitCreated']); 
                    else 
						echo intval($data['count']); 
					?>
                </td>
            </tr>
        <?php  } ?>
    </table>
    
</div>


<?php  if($statsDisplay->pageSearchPagination && strlen($statsDisplay->pageSearchPagination->getPages())>0){ ?>	
	<div class="pagination">	
		 <span class="pageRight"><?php  echo $statsDisplay->pageSearchPagination->getNext(t('Next &raquo;'))?></span>
		 <span class="pageLeft"><?php  echo $statsDisplay->pageSearchPagination->getPrevious(t('&laquo; Previous'))?></span>
		 <?php  echo $statsDisplay->pageSearchPagination->getPages()?>				 
	</div>	
<?php  } ?>
	

<?php  if($defaultPagesView=='top' && count($statsDisplay->viewedPages) && ParticleTrafficDisplay::getOldestVisitTime()){ ?>
    <div class="since"><?php echo  t('Page views since') .' '. t(date('F',ParticleTrafficDisplay::getOldestVisitTime())) . date(' j, Y',ParticleTrafficDisplay::getOldestVisitTime()) ?> </div>
<?php  } ?> 