<?php 

class SiteDiscoveryParticleTrafficPanel extends ParticleTrafficPanel {

	protected $title="Site Discovery"; 
	
	public function view(){ 
		$defaultDiscoveryView=(in_array($_SESSION['statsPanel_discovery'],array('referrers','searches')))?$_SESSION['statsPanel_discovery']:'referrers';
		$defaultDiscoveryDataSet=(in_array($_SESSION['statsPanel_discoveryData'],array('top','recent')))?$_SESSION['statsPanel_discoveryData']:'top'; 
		
		$statsDisplay = new ParticleTrafficDisplay();
		
		if( $defaultDiscoveryView=='searches' ){ 
			if( $defaultDiscoveryDataSet=='top' ) $statsDisplay->referrers = $statsDisplay->getTopSearches(); 
			else $statsDisplay->referrers = $statsDisplay->getRecentSearches();
		}else{  
			if( $defaultDiscoveryDataSet=='top' ) $statsDisplay->referrers = $statsDisplay->getTopReferrers(); 
			else $statsDisplay->referrers = $statsDisplay->getRecentReferrers(); 	
		} 
		
		$this->set('defaultDiscoveryView',$defaultDiscoveryView); 
		$this->set('defaultDiscoveryDataSet',$defaultDiscoveryDataSet); 
		$this->set('statsDisplay',$statsDisplay); 
	}
	
	public function action_search(){ 
	
		$statsDisplay = new ParticleTrafficDisplay();
		
		//$params=array('ip'=>trim($_REQUEST['ip']));
		
		$params['page']=intval($_REQUEST['page_search_pg']);
		
		$params['q']=$_REQUEST['q'];
		
		$params['top']=($_REQUEST['top'])?1:0; 
		
		$defaultDiscoveryDataSet = ($params['top']) ? 'top' : 'recent';  
		$defaultDiscoveryView = ($_REQUEST['searches']) ? 'searches' : 'referrers';  
		
		if( $_REQUEST['searches'] ) 
			 $statsDisplay->referrers = $statsDisplay->searchSearches($params); 
		else $statsDisplay->referrers = $statsDisplay->searchReferrers($params); 
		
		$json = Loader::helper('json'); 
		$jsonData = array('success'=>0 ); 

		ob_start();
		//$this->render();
		include($this->getPath().'discovery_table.php'); 
		$html = ob_get_contents();
		ob_end_clean();

		$jsonData['html'] = $html;
	
		echo $json->encode( $jsonData );  
		die; 
		
	}
	
}

?>