<script>
var StatsDiscoveryPanel = { 

	init:function(){ 
		
		$('#discoveryDataSet a').click(function(){ 
			$(this).siblings().removeClass('selected');
			var tab = ($(this).attr('id')=='discoveryDataTopLink') ? 'top' : 'recent';
			ParticleTraffic.saveTab('discoveryData',tab);
			$(this).addClass('selected'); 
			StatsDiscoveryPanel.search_pages();
			return false; 
		}); 
		
		$('#discoveryDataLinks a').click(function(){ 
			$(this).siblings().removeClass('selected');
			var tab = ($(this).attr('id')=='discoverySearchesLink') ? 'searches' : 'referrers';
			ParticleTraffic.saveTab('discovery',tab);
			$(this).addClass('selected'); 
			StatsDiscoveryPanel.search_pages();
			return false; 
		}); 		
	},
	
	toggle_search:function(){
		var el = $('#visits_search_wrap'); 
		var f = el.find('form'); 
		if( el.hasClass('shown') ){
			f.slideUp();
			el.removeClass('shown'); 
		}else{
			f.slideDown();
			el.addClass('shown');
		}
		return false;
	},
	
	getPg:function(a,pg){ 
		
		this.search_pages(pg);
		
		return false;
	},
	
	search_pages:function(pg){
		
		jQuery.fn.dialog.showLoader();  
		
		var pg = (parseInt(pg))?parseInt(pg):1;
		var top = ( $('#discoveryDataTopLink').hasClass('selected') ) ? 1 : 0; 
		var searches = ( $('#discoverySearchesLink').hasClass('selected') ) ? 1 : 0; 
		
		var qEl = $('#statsDiscoveryKeywords'), 
			q = (qEl.val()!=qEl.attr('inlineLabel')) ? qEl.val() : ''; 
		
		$.ajax({ 
			type:'get',					  
			data: 'q='+q+'&top='+top+'&searches='+searches+'&page_search_pg='+pg,
			url: $('#stats_discovery_search_service').val(),
			success: function(response){ 
				eval('var jObj='+response);
				if( jObj && jObj.error ){ 
					alert(jObj.error);
				}else{    
					$('#stats_discovery_results_wrap').html(jObj.html);
				} 
				jQuery.fn.dialog.hideLoader(); 
			}
		}); 
	} 
	
} 
$(function(){ StatsDiscoveryPanel.init(); })
</script>

<input id="stats_discovery_search_service" name="pages_search_service" type="hidden" value="<?php echo View::url($c->getCollectionPath(),'panel_service','site_discovery','search') ?>" /> 

<div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px;">
	<div class="sectionOptions" style="text-align:right; margin-bottom:8px; float:right"> 
		<span id="discoveryDataLinks"> 
			<a href="#" id="discoveryReferrersLink" class="<?php echo ($defaultDiscoveryView=='referrers')?'selected':''?>"><?php echo t('Referrers')?></a> 
			&nbsp;<a href="#" id="discoverySearchesLink" class="<?php echo ($defaultDiscoveryView=='searches')?'selected':''?>"><?php echo t('Searches')?></a>	  
		</span>	    
    	&nbsp;|&nbsp;
		<span id="discoveryDataSet">
			<a href="#" id="discoveryDataTopLink" class="<?php echo ($defaultDiscoveryDataSet=='top')?'selected':''?>" ><?php echo t('Top')?></a>&nbsp; 
			<a href="#" id="discoveryDataRecentLink" class="<?php echo ($defaultDiscoveryDataSet=='recent')?'selected':''?>" ><?php echo t('Recent')?></a> 
		</span>   
	</div> 
    
    <form id="statsDiscoverySearchForm" onsubmit="StatsDiscoveryPanel.search_pages(); return false;" action="<?php echo  View::url($c->getCollectionPath()) ?>"> 
		<input id="statsDiscoveryKeywords" inlineLabel="<?php echo t('Search') ?>" name="q" type="text" value="" size="10" class="statsSearchField" />
        <input name="search" type="submit" value="&raquo;" />
    </form>    
    
	<div class="spacer"></div>
</div> 

<div id="stats_discovery_results_wrap"> 

    <?php  include($this->getPath().'discovery_table.php'); ?> 

</div>