<?php  
defined('C5_EXECUTE') or die(_("Access Denied.")); 

$interfaceHelper = Loader::helper('concrete/interface'); 
$dashboardHelper = Loader::helper('concrete/dashboard'); 
?>   

<?php  if( method_exists( $dashboardHelper, 'getDashboardPaneHeaderWrapper') ){  
echo $dashboardHelper->getDashboardPaneHeaderWrapper(t('Locations'),t("See where your website visitors are from.")); 
}else{ ?> 
	<h1><span><?php echo t('Locations')?></span></h1> 
	<div class="ccm-dashboard-inner" > 
<?php  } ?> 
		
		<link href="<?php echo ParticleTraffic_URL_DIR ?>css/ParticleTraffic.css" rel="stylesheet" type="text/css" />  
		
        <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
		<script type="text/javascript"> 
		var mapObj;
		var StatsMap = { 
			
			init : function() {  
			
				try{ 
						var point, currentGeoPoint, newMarker, popupContent,flagHTML;
						
						var latlng = new google.maps.LatLng(18, 22);
						var myOptions = {
						  zoom: 2,
						  center: latlng,
						  mapTypeId: google.maps.MapTypeId.SATELLITE 
						};
						var mapObj = new google.maps.Map(document.getElementById("mapCanvas"), myOptions);
						//mapObj.setOptions( { elementType:"labels" } );

						
						<?php   
						$totalVisits=intval($countries['totalVisits']);  
						
						foreach( $countries['visits'] as $key=>$visitCount){ 
							$countryData=$countries['data'][$key];
							$latitude=floatval($countryData['lat']);
							$longitude=floatval($countryData['lon']); 
							
							if($longitude==0 && $latitude==0) continue; 
							$visitPercent = round(($visitCount/$totalVisits)*100);
							if($visitPercent<1) $visitPercent = round(($visitCount/$totalVisits)*1000)/10;
							
							if($visitPercent<=1){
								$markerClass='mapMarkerSmall';	
							}elseif($visitPercent>=20){ 
								$markerClass='mapMarkerLarge';	
							}else{
								$markerClass='mapMarker';	
							} 
							
							$userVisitsHTML='';
							$visitsCount=0;
							if(is_array($countries['recentVisits'][$key])) foreach($countries['recentVisits'][$key] as $visitData){
								$visitsCount++;
								
								$userName='';
								if( intval($visitData['users_id']) ){
									$visitingUser = ParticleTrafficDisplay::getCachedUser($visitData['users_id']);
									if( is_object($visitingUser) )
										$userName = $visitingUser->getUserName().' ';
								} 
								
								$hits='<span class="faint">('.intval($visitData['hitCount']).')</span>';
								
								$userVisitsHTML .= "<div class=\"recentVisit\"><a onclick=\"StatsMap.loadVisit(".intval($visitData['traffic_visit_id']).",'".$key."')\">".$userName.$visitData['ip'].'</a> '.$hits.'</div>'; 
								if($visitsCount>=10){
									$userVisitsHTML .= '...';  
									break;	
								}
							}
							?> 
							
							flagHTML='<span class="flagWrap"><img src="<?php echo ParticleTraffic_BASE_URL ?>/images/flags/<?php echo strtolower($key) ?>.png" width="16" height="11" /></span>';
							popupContent = "<div class='headline'>"+flagHTML+"<?php echo t($countryData['country']) ?></div><div class='info'><?php echo $visitCount ?> <?php echo t('visits') ?> / <?php echo $visitPercent ?>%</div>";  
							popupContent = popupContent + "<div class='recentVisits'><?php echo  addslashes($userVisitsHTML) ?></div>"; 
							
							<?php  if( intval($data['users_id']) ){ 
								$visitingUser = DashboardStatsSummaryController::getCachedUser($data['users_id']);
								if( is_object($visitingUser) ){ ?>
								<a href="<?php echo  View::url('dashboard/users/search?uID='.intval($data['users_id'])) ?>" onclick="window.location=this.href"><?php echo $visitingUser->getUserName();  ?></a>
							<?php   }  
							} ?>
							
							var countryLatLng = new google.maps.LatLng(<?php echo floatval($latitude) ?>,<?php echo floatval($longitude) ?>);
							var marker = new google.maps.Marker({
								  position: countryLatLng,
								  title:"<?php echo t($countryData['country']) ?>"
							});
							marker.setMap(mapObj);
							marker.popupContent = popupContent;
							marker.countryCode = "<?php echo $key ?>";
							
							this.infowindow = new google.maps.InfoWindow({
								content: popupContent 
							}); 
							
							google.maps.event.addListener(marker, 'click', function() { 
								var area = this.get('location');  
								var t=document.createElement('div'); 
								t.className = "mapPopup"; 
								t.id = "mapPopup_"+this.countryCode; 
								$(t).css('opacity',0).animate({opacity:1},500 );
								
								t.innerHTML = this.popupContent; //header + this.popupContent + footer;
								
								StatsMap.infowindow.setContent( t ); 
								StatsMap.infowindow.open(mapObj, this);
							});
							
						<?php  }  ?> 
						
				}catch(e){ alert(e.message); }  
			},
			
			exitVisit:function(countryCode){
				var popup = $('#mapPopup_'+countryCode); 
				popup.find('.visitDetail').css('display','none');
				popup.find('.countryDetail').css('display','block');
			},
			
			loadVisit:function(visitID,countryCode){  
				var popup = $('#mapPopup_'+countryCode);
				popup.find('.countryDetail').css('display','none');
				popup.find('.visitDetail').css('display','block').html("<?php echo t('Loading...')?>"); 
				popup.mousedown(function (evt) { 
       				evt.stopImmediatePropagation();
        			return false;
    			});        
				$.ajax({ 
					type:'get',					  
					data:'&visit='+visitID+'&c_code='+countryCode,
					url: "<?php echo View::url('/dashboard/stats/map','visit_details')?>",
					success: function(response){  
						eval('var jObj='+response);
						if( jObj && jObj.error ){ 
							alert(jObj.error);
						}else{ 
							var mapPopup=$('#mapPopup_'+jObj.c_code+''); 
							mapPopup.html( jObj.html );
							//$('#mapPopup_'+jObj.c_code+' .hits').css('overflow','scroll'); 
							StatsMap.infowindow.setContent( mapPopup.parent().html() ); 
						}
					}
				}); 
				
			},
			
			//closeSwitchHTML:"<a onclick=\"StatsMap.removePopups()\"><div class='closeSwitch'></div></a>",
		
			popupObjs:[],
			removePopups:function(){  
				while(this.popupObjs.length>=1){				
					var t=this.popupObjs.pop();  
					$(t).animate({ opacity: 0 }, 500, function() {
						mapObj.removeOverlay(this.yco);  
					}); 
				}
			}
			
		}

		
		</script> 
		
		<div id="mapCanvas" class="mapCanvas"></div>
		
		<script type="text/javascript">$(function() {
			StatsMap.init();
			/* $(window).unload( function () { GUnload(); } ); */ 
		});</script>	

<?php  if( method_exists( $dashboardHelper, 'getDashboardPaneFooterWrapper') ){ 
	echo $dashboardHelper->getDashboardPaneFooterWrapper(); 
}else{ ?>  
	</div> 
<?php  } ?>  